<div class="project">

  <div class="container">

    <h1 class="mat-h1">Projekt {{project?.name}} o kodzie {{project?.code}}</h1>
    <mat-divider class="mb-2"></mat-divider>

    <mat-card class="project-data mb-2">

      <div fxLayout="row" fxLayout.xs="column" class="project-data mb-2-container">
        <div fxFlex class="project-data mb-2">
          <h2 class="mat-h2">Informacja o projekcie:</h2>
          <div><span class="project-data mb-2__field bold"> Nazwa: </span>{{project?.name}}</div>
          <div><span class="project-data mb-2__field bold"> Kod: </span>{{project?.code}}</div>
          <div><span class="project-data mb-2__field bold"> Klient: </span>{{project?.client?.name}}</div>
          <div><span
            class="project-data mb-2__field bold"> Kierownik projektu: </span>{{project?.manager?.data?.firstName}}{{project?.manager?.data?.lastName}}
          </div>
          <div><span class="project-data mb-2__field bold"> Opis: </span>{{project?.description}}</div>
          <div><span class="project-data mb-2__field bold"> Data rozpoczęcia: </span>{{project?.startDate | date: 'd/MM/yyyy'}}</div>
          <div><span
            class="project-data mb-2__field bold"> Planowana data zakończenia: </span>{{project?.plannedEndDate | date: 'd/MM/yyyy'}}</div>
          <div><span class="project-data mb-2__field bold"> Data zakończenia: </span>{{project?.endDate | date: 'd/MM/yyyy'}}</div>
          <div><span class="project-data mb-2__field bold"> Planowany budżet: </span>{{project?.plannedBudget | currency: 'PLN':'symbol':'':'pl'}}</div>
          <div><span class="project-data mb-2__field bold"> Przeznaczony budżet: </span>{{project?.spentBudget | currency: 'PLN':'symbol':'':'pl'}}</div>
          <div><span class="project-data mb-2__field bold"> Planowany przychód: </span>{{project?.plannedIncome | currency: 'PLN':'symbol':'':'pl'}}</div>
          <div><span class="project-data mb-2__field bold"> Ostateczny przychód: </span>{{project?.finalIncome | currency: 'PLN':'symbol':'':'pl'}}</div>
        </div>

        <div fxFlex class="project-data mb-2">
          <h2 class="mat-h2">Statystyki projektu:</h2>
          <ng-container *ngIf="!project?.isOpen else projectNotClosed">
            <div><span
              class="project-data mb-2__field bold"> Łączna ilość pełnych dni: </span>{{projectStatistics?.totalFullDays}}</div>
            <div><span class="project-data mb-2__field bold"> Łączny czas: </span>{{projectStatistics?.totalTime}}</div>
            <div><span class="project-data mb-2__field bold"> Łączna ilość pełnych dni opóźnienia: </span>{{projectStatistics?.totalDelayedDays}}
            </div>
            <div><span class="project-data mb-2__field bold"> Zysk: </span>{{projectStatistics?.totalProfit | currency: 'PLN':'symbol':'':'pl'}}</div>
            <div><span
              class="project-data mb-2__field bold"> Ilość złożonych raportów: </span>{{projectStatistics?.totalSubmittedReports}}
            </div>
            <div><span
              class="project-data mb-2__field bold"> Ilość zaangażowanych pracowników: </span>{{projectStatistics?.totalEmployees}}
            </div>
          </ng-container>
          <ng-template #projectNotClosed>Statystyki do projektu pojawią się w momencie kiedy projekt zostanie zamknięty.
          </ng-template>
        </div>

      </div>
    </mat-card>

    <mat-card class="project-data mb-2">
      <div fxLayout="row" fxLayout.xs="column" class="project-data mb-2-container">
        <div fxFlex class="project-data mb-2">
          <h2 class="mat-h2">Raporty czasu pracy do projektu:</h2>
          <mat-list>
            <div *ngIf="(projectWorkTimeReport$ | async) as projectWorkTimeReports; else loading">
              <ng-container *ngIf="projectWorkTimeReports.length; else noReports">
                <mat-list-item *ngFor="let projectWorkTimeReport of projectWorkTimeReports">
                  <mat-icon mat-list-icon>assignment</mat-icon>
                  <p mat-line>Wiadomość: {{projectWorkTimeReport?.message}}</p>
                  <p mat-line>Ilość godzin: {{projectWorkTimeReport?.time}}</p>
                  <p mat-line>Projekt: {{projectWorkTimeReport?.project?.name}}</p>
                  <p mat-line>Raport za dzień: {{projectWorkTimeReport?.reportForDate | date: 'd/MM/yyyy'}} </p>
                  <p mat-line>Utworzony dnia: {{projectWorkTimeReport?.createdAt | date: 'd/MM/yyyy h:mm'}} </p>
                </mat-list-item>
              </ng-container>
              <ng-template #noReports>Do tego projektu nie złożono jeszcze żadnego raportu.
              </ng-template>
            </div>
            <ng-template #loading>Ładowanie danych...</ng-template>
          </mat-list>
        </div>
      </div>

    </mat-card>
  </div>
</div>


